
<h1>Cash Deposit at <%=@position.portfolio%>: <%=@position.comment%> </h1>

<h2>Balance</h2>


<% if @position.is_closed? and not @position.is_viewed_before_closure? %>
    <p>Accounting for <%=@position.time_closed.year - 1%> has been settled. Its balance has been carried over into <%=@position.time_closed.year %>.</p>
<% elsif @position.is_new? %>
    <p>Accounting for this period has been opened. You may add bookings manually or execute orders.</p>
<% else %>
    <p>
      <% if @position.is_closed? %>
          Accounting has been settled at end of period. Shown is its state at browse date.
      <% else %>
          Accounting for this Period is open and ongoing.
      <% end %>
    </p>
    <% if @booking %><%= render :partial=>'cashposition/booking_form', locals: {:transaction=>@booking} %><% end %>
    <div id='deposit_balance'>
      <ul>
        <li class="<%= if @position.invested<0 then 'loss' else 'profit' end%>">
            Current Balance: <em><%= smr_humanize(@position.invested, :scale=>2) %></em>
        </li>
      </ul>
    </div>
<% end %>


<% if not @position.is_new? %>
<h2>Transaction Log</h2>
<table id='transaction_log'>
    <thead>
    <tr>
        <th></th>
        <th>Details</th>
        <th>Debit</th>
        <th>Credit</th>
    </tr>
    </thead>
    <tbody>
<% @position.revisions.reverse.each do |pr| %>
    <% next if pr.id_order==0  # skip old-style first emtpy revision %>
    <tr class="separaterows">
        <td><%=smr_humanize(pr.time_created)%></td>
        <td>
            <%=pr.Order%>
            <% if pr.Order.triggered_by_order %>
                <%= link_to 'Order #%i'% pr.Order.triggered_by_order, order_path(:id=>pr.Order.triggered_by_order) %>
            <%end%>
            <% if not pr.Order.comment.blank? %><span class="comment_text"><%=pr.Order.comment%></span><% end %>
            <%= if pr.Order.has_document? then link_to 'doc', {:id=>pr.Order.id_document, :controller=>'documents', :action=>'download'} end %>
        </td>
        <td><%=smr_humanize(pr.Order.volume * -1) if pr.Order.type=='sale' %></td>
        <td><%=smr_humanize(pr.Order.volume) if pr.Order.type=='buy' %></td>
    </tr>
<% end %>
    </tbody>
</table>
<% end %>

<h2>Documents <em>Uploaded or assigned to this position.</em></h2>
<% if not @documents.empty? %>
<%=
render :partial=>'documents/filelist',
    locals: {
        :page=>@page, :total_pages=>@total_pages,
        :link_path=>documents_path,
        :collection=>@documents
    }
%>
<% end %>

<%= render :partial=>'documents/upload_form', locals: { :id=>@position.id, :assign_to=>:position } %>

